## cysignals 1.3.2+ds

=== Makefile ===
# Optional Makefile for easier development

PYTHON=python

all: build doc

build: configure
	$(PYTHON) setup.py build

install: build
	$(PYTHON) setup.py install

dist: configure
	chmod go+rX-w -R .
	umask 0022 && $(PYTHON) setup.py sdist --formats=bztar

distcheck: dist
	mkdir -p dist/check
	VERSION=`cat VERSION`; cd dist/check && tar xjf ../cysignals-$$VERSION.tar.bz2
	VERSION=`cat VERSION`; cd dist/check/cysignals-$$VERSION && ./configure && $(MAKE) all check
	rm -rf dist/check

doc:
	cd docs && $(MAKE) html

clean: clean-doc clean-build

clean-build:
	rm -rf build example/build example/*.c

clean-doc:
	cd docs && $(MAKE) clean

distclean: clean
	rm -rf autom4te.cache
	rm -f config.log config.status

check: check-doctest check-example

check-doctest: install
	$(PYTHON) -B rundoctests.py src/cysignals/*.pyx

check-example: install
	cd example && $(PYTHON) setup.py build

test: check

configure: configure.ac
	autoconf
	autoheader
	@rm -f src/config.h.in~

.PHONY: all build doc install dist doc clean clean-build clean-doc \
	distclean check check-doctest check-example test

## cysignals 1.2.0+ds

=== debian/changelog ===
cysignals (1.2.0+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * Debianization:
    - pkg.cysignals.pari build-profile machinery, discard;
    - debian/control:
      - Depends field for pari flavour, add libpari-dev;
      - Multi-Arch field, add;
    - debian/rules:
      - reproducible, harden;
   - debian/README.source, discard as it is now obsolete.

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Nov 2016 12:46:48 +0100

cysignals (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-documentation-make-user_friendly_check-soften.patch,
        discard;
    - debian/control, harden;
    - debian/rules:
      - unconditional use of --with sphinxdoc;
      - add Build-Profiles helper/reminder (cf d/README.source);
      - documentation composition, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 13 Oct 2016 00:34:58 +0000

cysignals (1.1.1+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #840017):
    - debian/rules, conditionalize use of --with sphinxdoc appropriately,
      thanks to Aaron M. Ucko <amu@alum.mit.edu> for the hint;
    - debian/patches/:
      - d/p/upstream-documentation-make-user_friendly_check-soften.patch,
        introduce and submitted (hidden bug);
    - debian/control, move help2man from Build-Depends-Indep to Build-Depends
      (hidden bug);
  * Debianization:
    - debian/patches/*.patch:
      - Origin field, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 08 Oct 2016 02:26:19 +0000

cysignals (1.1.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #834232).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Oct 2016 00:31:00 +0000

=== debian/control ===
Source: cysignals
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 help2man,
 dh-python,
 dpkg-dev (>= 1.17.14),
 python-setuptools,
 python-all,
 python-sphinx,
 libpython-dev,
 libpari-dev (>> 2.8),
 cython (>= 0.24),
 gdb
Build-Depends-Indep:
 python-docutils,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-generic-extra,
 texlive-latex-extra
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://github.com/sagemath/cysignals
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/cysignals.git

Package: python-cysignals-pari
Provides: python-cysignals
Conflicts: python-cysignals-bare
Architecture: any
Multi-Arch: same
Depends: libpari-dev (>> 2.8), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python - PARI/GP
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 2; this very library
 was built against the PARI/GP library.

Package: python-cysignals-bare
Provides: python-cysignals
Conflicts: python-cysignals-pari
Architecture: any
Multi-Arch: same
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python - bare
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 2; this very library
 was not built against the PARI/GP library.

Package: cysignals-tools
Section: devel
Architecture: all
Depends: gdb, ${python:Depends}, ${misc:Depends}
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- tools
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package provides debugging tools.

Package: python-cysignals-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: python-cysignals (= ${source:Version})
Description: interrupt and signal handling for Cython -- doc
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This is the common documentation package with examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

DEB_PKG_VERSION ?= $(shell dpkg-parsechangelog -S Version)

export ACLOCAL_PATH=m4

H2MFLAGS = \
	--manual="CySIgnals Cython package" \
	--source="CySIgnals (Debian $(DEB_PKG_VERSION))" \
	--version-string="cysignals-CSI - $(DEB_PKG_VERSION)" \
	--locale=C.UTF-8 \
	--no-info

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --with python2  --with sphinxdoc --buildsystem=pybuild

override_dh_auto_configure-arch:
	$(call adhoc_dh_auto_configure_do,bare)
	$(call adhoc_dh_auto_configure_do,pari)

override_dh_auto_configure-indep:
	$(call adhoc_dh_auto_configure_do,bare)

override_dh_auto_build-arch:
	$(call adhoc_dh_auto_build_do,bare)
	$(call adhoc_dh_auto_build_do,pari)

override_dh_auto_build-indep:
	$(call adhoc_dh_auto_build_do,bare)

override_dh_auto_test-arch:
	$(call adhoc_dh_auto_test_do,bare)
	$(call adhoc_dh_auto_test_do,pari)

override_dh_auto_test-indep:
	$(call adhoc_dh_auto_test_do,bare)

DEB_INSTALLEXAMPLES_DOCTEST = build/DEBIAN/examples/doctest
override_dh_prep-indep:
	help2man $(H2MFLAGS) -s 1 \
			-n "debugger information extractor for Python processes" \
			-o cysignals-CSI.1 \
		debian/adhoc/wrappers/cysignals-CSI
	mkdir -p $(DEB_INSTALLEXAMPLES_DOCTEST)
	cp -p -t $(DEB_INSTALLEXAMPLES_DOCTEST) src/cysignals/*.pyx

override_dh_auto_install-arch:
	$(call adhoc_dh_auto_install_do,bare)
	$(call adhoc_dh_auto_install_do,pari)

override_dh_auto_install-indep:
	$(call adhoc_dh_auto_install_do,bare)

## Shared Objects are actually managed by dh_python:
## so no ad hoc [sub]machinery is needed for them.
override_dh_install-arch:
	true

override_dh_install-indep:
	dh_install --package cysignals-tools --sourcedir=debian/tmp/bare
	dh_install --indep --remaining-packages

override_dh_installdocs:
	dh_installdocs --all debian/README.Debian

DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-cysignals-doc/usr/share/doc/python-cysignals-doc
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs latexpdf PAPER=a4 LATEXOPTS='-interaction batchmode'
	cp -p $(CURDIR)/docs/build/latex/cysignals.pdf $(DEB_SPHINXDOC_DOCDIR)
	PYTHONPATH=$(CURDIR) sphinx-build -b html docs/source $(DEB_SPHINXDOC_DOCDIR)/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_auto_clean:
	$(MAKE) distclean

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

.PHONY: build

##################################################################################
## ad hoc machinery

## parameter: flavour
adhoc_dh_auto_configure_do = \
	PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
	dh_auto_configure

## parameter: flavour
adhoc_dh_auto_build_do = \
	$(if $(wildcard build/dh-stamp-auto_build-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_build -- \
			--before-build "mkdir -v -p {build_dir}/../build-$(1)" \
			--after-build  "\
				mv -v {build_dir}/* {build_dir}/../build-$(1) && \
				echo PYBUILD_interpreter={interpreter} > build/dh-test-auto_build-$(1).sh && \
				echo PYBUILD_build_dir={build_dir}/../build-$(1) >> build/dh-test-auto_build-$(1).sh \
				" $(NEWLINE) \
		touch build/dh-stamp-auto_build-$(1) $(NEWLINE) \
		)

#### parameter: flavour
adhoc_dh_auto_test_do = \
	$(if $(wildcard build/dh-stamp-auto_test-$(1)),, \
	$(info FROZEN: \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_test -- \
			--before-test "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-test  "rm -v {build_dir}" ) $(NEWLINE) \
		debian/adhoc/tests/check-doctest $(1) $(NEWLINE) \
		debian/adhoc/tests/check-example $(1) $(NEWLINE) \
		touch build/dh-stamp-auto_test-$(1) $(NEWLINE) \
		)

## parameter: flavour
adhoc_dh_auto_install_do = \
	$(if $(wildcard build/dh-stamp-auto_install-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) PYBUILD_DESTDIR=debian/tmp/$(1) \
		dh_auto_install -- \
			--before-install "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-install  "rm -v {build_dir}" $(NEWLINE) \
		touch build/dh-stamp-auto_install-$(1) $(NEWLINE) \
		)

PYSETUP_CONFIGURE_FLAGS_bare = '--without-pari'
PYSETUP_CONFIGURE_FLAGS_pari = '--with-pari'


define NEWLINE


endef

##################################################################################

=== debian/tests/control ===
Test-Command: debian/tests/check doctest bare
Depends: python-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari
Depends: python-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare
Depends: python-cysignals-bare, python-cysignals-doc, cython, libpython-dev, build-essential

Test-Command: debian/tests/check example pari
Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, libpari-dev, build-essential

## cysignals 1.3.1+ds

=== debian/changelog ===
cysignals (1.3.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - Build-Depends field, adjust libpari-dev version;
      - Depends field for pari flavour, remove libpari-dev;
    - debian/rules, harden;
    - debian/patches/*, harden and refresh;
    - debian/tests/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Nov 2016 04:55:09 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
 Depends: python-cysignals-bare, python-cysignals-doc, cython, libpython-dev, build-essential
 
 Test-Command: debian/tests/check example pari
-Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, libpari-dev, build-essential
+Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, build-essential

## cysignals 1.3.2+ds

=== debian/changelog ===
cysignals (1.3.2+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 20:01:49 +0100

cysignals (1.3.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 16:52:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-all,
  python-sphinx,
  libpython-dev,
- libpari-dev (>> 2.8),
+ libpari-dev (>= 2.9),
  cython (>= 0.24),
  gdb
 Build-Depends-Indep:
@@ -33,7 +33,7 @@
 Conflicts: python-cysignals-bare
 Architecture: any
 Multi-Arch: same
-Depends: libpari-dev (>> 2.8), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: cysignals-tools
 Suggests: python-cysignals-doc (= ${source:Version})
 Description: interrupt and signal handling for Cython -- Python - PARI/GP

## cysignals 1.6.5%2Bds

=== Makefile ===
# Optional Makefile for easier development

VERSION = $(shell cat VERSION)

PYTHON = python
PIP = $(PYTHON) -m pip -v
DOCTEST = $(PYTHON) -B rundoctests.py
LS_R = ls -Ra1


#####################
# Build
#####################

all: build doc

build: configure
	$(PYTHON) setup.py build

install: configure
	$(PIP) install --no-index --ignore-installed .

dist: configure
	chmod go+rX-w -R .
	umask 0022 && $(PYTHON) setup.py sdist --formats=bztar

doc:
	cd docs && $(MAKE) html


#####################
# Clean
#####################

clean: clean-doc clean-build
	rm -rf tmp

clean-build:
	rm -rf build example/build example/*.cpp

clean-doc:
	rm -rf docs/build

distclean: clean
	rm -rf autom4te.cache
	rm -f config.log config.status


#####################
# Check
#####################

test: check

check: check-tmp

check-all: check-tmp
	$(MAKE) check-install

# Install and check
check-install: check-doctest check-example

check-doctest: install
	$(DOCTEST) src/cysignals/*.pyx

check-example: install
	cd example && $(PYTHON) setup.py clean build

check-gdb: install
	$(PYTHON) testgdb.py


#####################
# Check installation
#####################
#
# Test 2 installation scenarios without a real installation
# - prefix (with --prefix and --root)
# - user (with --user)

check-tmp:
	$(MAKE) check-prefix
	$(MAKE) check-user

prefix-install: configure
	rm -rf tmp/local tmp/build
	$(PYTHON) setup.py install --prefix="`pwd`/tmp/local" --root=tmp/build
	cd tmp && mv "build/`pwd`/local" local
	cd tmp && ln -s local/lib*/python*/site-packages site-packages

check-prefix: check-prefix-doctest check-prefix-example

check-prefix-doctest: prefix-install
	export PYTHONPATH="`pwd`/tmp/site-packages" && $(DOCTEST) src/cysignals/*.pyx

check-prefix-example: prefix-install
	rm -rf example/build
	export PYTHONPATH="`pwd`/tmp/site-packages" && cd example && $(PYTHON) setup.py clean build

check-user: check-user-doctest check-user-example

user-install: configure
	rm -rf tmp/user
	export PYTHONUSERBASE="`pwd`/tmp/user" && $(PYTHON) setup.py install --user --single-version-externally-managed --record=/dev/null

check-user-doctest: user-install
	export PYTHONUSERBASE="`pwd`/tmp/user" && $(DOCTEST) src/cysignals/*.pyx

check-user-example: user-install
	export PYTHONUSERBASE="`pwd`/tmp/user" && cd example && $(PYTHON) setup.py clean build

distcheck: dist
	rm -rf dist/check
	mkdir -p dist/check
	cd dist/check && tar xjf ../cysignals-$(VERSION).tar.bz2
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist0.ls
	cd dist/check/cysignals-$(VERSION) && $(MAKE) all
	cd dist/check/cysignals-$(VERSION) && $(MAKE) distclean
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist1.ls
	cd dist/check; diff -u dist0.ls dist1.ls || { echo >&2 "Error: distclean after all leaves garbage"; exit 1; }
	cd dist/check/cysignals-$(VERSION) && $(MAKE) check-user
	cd dist/check/cysignals-$(VERSION) && ./configure --enable-debug
	cd dist/check/cysignals-$(VERSION) && $(MAKE) check-prefix
	cd dist/check/cysignals-$(VERSION) && $(MAKE) distclean
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist2.ls
	cd dist/check; diff -u dist0.ls dist2.ls || { echo >&2 "Error: distclean after check-tmp leaves garbage"; exit 1; }
	cd dist/check/cysignals-$(VERSION) && $(MAKE) dist
	cd dist/check/cysignals-$(VERSION) && tar xjf dist/cysignals-$(VERSION).tar.bz2
	cd dist/check/cysignals-$(VERSION)/cysignals-$(VERSION) && $(LS_R) >../../dist3.ls
	cd dist/check; diff -u dist0.ls dist3.ls || { echo >&2 "Error: sdist is not reproducible"; exit 1; }
	rm -rf dist/check


#####################
# Maintain
#####################

configure: configure.ac
	autoconf
	autoheader
	@rm -f src/config.h.in~

.PHONY: all build doc install dist doc clean clean-build clean-doc \
	distclean test check check-all check-tmp check-install \
	check-doctest check-example \
	check-prefix prefix-install check-prefix-doctest check-prefix-example \
	check-user user-install check-user-doctest check-user-example

## cysignals 1.6.5+ds

=== debian/changelog ===
cysignals (1.6.5+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends-Indep field, add latexmk (Closes: #872171).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 18 Aug 2017 11:59:19 +0000

cysignals (1.6.5+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Debianization:
    - debian/rules, use pkg-info.mk ;
    - debian/control:
      - python-cysignals-pari package, introduce Breaks field against sagemath;
      - Standards Version, bump to 4.0.0 (no change);
    - debian/patches/*:
      - d/p/upstream-lintian-spelling-error-silence.patch, introduce;
      - refresh;
    - debian/tests/*:
      - d/t/check, manage doctest separately to use rundoctests.py ;
    - debian/adhoc/examples/doctest/Makefile, discard (see d/t/check);
    - doctest examples, no distributed as examples.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Jul 2017 13:01:38 +0000

cysignals (1.6.4+ds-1) experimental; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright, update;
    - debian/control, refresh;
    - debian/patches/*, refresh;
    - debian/python-cysignals-(bare|pari).pyinstall, ignore egg-info;
    - debian/tests/*:
      - d/t/controls:
        - tests 3, 4: allow-stderr to work around C/C+ mismatch warnings;
      - d/t/check, add [--]keep-going option to make ;
    - debian/adhoc/examples/example/Makefile, migrate from C to C++;
    - debian/adhoc/examples/doctest/Makefile, harden;
    - debian/clean, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Jun 2017 07:17:54 +0000

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,17 @@
  python-sphinx,
  libpython-dev,
  libpari-dev (>= 2.9),
- cython (>= 0.24),
+ cython (>= 0.25),
  gdb
 Build-Depends-Indep:
  python-docutils,
+ latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
  texlive-generic-extra,
  texlive-latex-extra
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.7
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
@@ -31,6 +32,7 @@
 Package: python-cysignals-pari
 Provides: python-cysignals
 Conflicts: python-cysignals-bare
+Breaks: sagemath (<< 8.0~)
 Architecture: any
 Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export ACLOCAL_PATH=m4

H2MFLAGS = \
	--manual="CySIgnals Cython package" \
	--source="CySIgnals (Debian $(DEB_VERSION))" \
	--version-string="cysignals-CSI - $(DEB_VERSION)" \
	--locale=C.UTF-8 \
	--no-info

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --with python2  --with sphinxdoc --buildsystem=pybuild

override_dh_auto_configure-arch:
	$(call adhoc_dh_auto_configure_do,bare)
	$(call adhoc_dh_auto_configure_do,pari)

override_dh_auto_configure-indep:
	$(call adhoc_dh_auto_configure_do,bare)

override_dh_auto_build-arch:
	$(call adhoc_dh_auto_build_do,bare)
	$(call adhoc_dh_auto_build_do,pari)

override_dh_auto_build-indep:
	$(call adhoc_dh_auto_build_do,bare)

override_dh_auto_test-arch:
	$(call adhoc_dh_auto_test_do,bare)
	$(call adhoc_dh_auto_test_do,pari)

override_dh_auto_test-indep:
	$(call adhoc_dh_auto_test_do,bare)

override_dh_prep-indep:
	help2man $(H2MFLAGS) -s 1 \
			-n "debugger information extractor for Python processes" \
			-o cysignals-CSI.1 \
		$(CURDIR)/debian/adhoc/wrappers/cysignals-CSI

override_dh_auto_install-arch:
	$(call adhoc_dh_auto_install_do,bare)
	$(call adhoc_dh_auto_install_do,pari)

override_dh_auto_install-indep:
	$(call adhoc_dh_auto_install_do,bare)

## Shared Objects are actually managed by dh_python:
## so no ad hoc [sub]machinery is needed for them.
override_dh_install-arch:
	true

override_dh_install-indep:
	dh_install --package cysignals-tools --sourcedir=$(CURDIR)/debian/tmp/bare
	dh_install --indep --remaining-packages

override_dh_installdocs:
	dh_installdocs --all $(CURDIR)/debian/README.Debian

DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-cysignals-doc/usr/share/doc/python-cysignals-doc
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs latexpdf PAPER=a4 LATEXOPTS='-interaction batchmode'
	cp -p $(CURDIR)/docs/build/latex/cysignals.pdf $(DEB_SPHINXDOC_DOCDIR)
	PYTHONPATH=$(CURDIR) sphinx-build -b html $(CURDIR)/docs/source $(DEB_SPHINXDOC_DOCDIR)/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_auto_clean:
	$(MAKE) distclean

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

.PHONY: build

##################################################################################
## ad hoc machinery

## parameter: flavour
adhoc_dh_auto_configure_do = \
	PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
	dh_auto_configure

## parameter: flavour
adhoc_dh_auto_build_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_build-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_build -- \
			--before-build "mkdir -v -p {build_dir}/../build-$(1)" \
			--after-build  "\
				mv -v {build_dir}/* {build_dir}/../build-$(1) && \
				echo PYBUILD_interpreter={interpreter} > $(CURDIR)/build/dh-test-auto_build-$(1).sh && \
				echo PYBUILD_build_dir={build_dir}/../build-$(1) >> $(CURDIR)/build/dh-test-auto_build-$(1).sh \
				" $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_build-$(1) $(NEWLINE) \
		)

#### parameter: flavour
adhoc_dh_auto_test_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_test-$(1)),, \
	$(info FROZEN: \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_test -- \
			--before-test "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-test  "rm -v {build_dir}" ) $(NEWLINE) \
		$(CURDIR)/debian/adhoc/tests/check-doctest $(1) $(NEWLINE) \
		$(CURDIR)/debian/adhoc/tests/check-example $(1) $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_test-$(1) $(NEWLINE) \
		)

## parameter: flavour
adhoc_dh_auto_install_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_install-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) PYBUILD_DESTDIR=$(CURDIR)/debian/tmp/$(1) \
		dh_auto_install -- \
			--before-install "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-install  "rm -v {build_dir}" $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_install-$(1) $(NEWLINE) \
		)

PYSETUP_CONFIGURE_FLAGS_bare = '--without-pari'
PYSETUP_CONFIGURE_FLAGS_pari = '--with-pari'


define NEWLINE


endef

##################################################################################

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 Test-Command: debian/tests/check example bare
 Depends: python-cysignals-bare, python-cysignals-doc, cython, libpython-dev, build-essential
+Restrictions: allow-stderr
 
 Test-Command: debian/tests/check example pari
 Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, build-essential
+Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/sagemath/cysignals/releases .*/cysignals-(\d\S*)\.tar\.bz2

## cysignals 1.6.6+ds

=== debian/changelog ===
cysignals (1.6.6+ds-3) unstable; urgency=medium

  * Upload to unstable (Closes: #888606).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Jan 2018 17:05:11 +0000

cysignals (1.6.6+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/tests/*, complete.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 06:57:44 +0000

cysignals (1.6.6+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - add Python 3 support (Closes: #874179);
    - debian/copyright:
      - format URI, secure;
      - copyright year tupe, update;
    - debian/watch, harden (see d/rules);
    - debian/control:
      - debhelper, bump to 11;
      - Standards-Version, bump to 4.1.3;
      - Build-Depends, refresh;
    - debian/rules:
      - get-orig-source target, move compression option to d/watch;
      - .PHONY target, discard (as it appears to parasite dh);
    - debian/tests/*:
      - refresh (doctest check not ported to python3).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jan 2018 12:56:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Maintainer: Jerome Benoit <calculus@rezozer.net>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  help2man,
  dh-python,
- dpkg-dev (>= 1.17.14),
  python-setuptools,
  python-all,
- python-sphinx,
  libpython-dev,
+ cython (>= 0.26),
+ python3-setuptools,
+ python3-all,
+ python3-sphinx,
+ libpython3-dev,
+ cython3 (>= 0.26),
  libpari-dev (>= 2.9),
- cython (>= 0.25),
  gdb
 Build-Depends-Indep:
  python-docutils,
@@ -23,8 +26,9 @@
  texlive-fonts-recommended,
  texlive-generic-extra,
  texlive-latex-extra
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
@@ -46,6 +50,23 @@
  This package installs the library for Python 2; this very library
  was built against the PARI/GP library.
 
+Package: python3-cysignals-pari
+Provides: python3-cysignals
+Conflicts: python3-cysignals-bare
+Breaks: sagemath (<< 8.0~)
+Architecture: any
+Multi-Arch: same
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cysignals-tools
+Suggests: python-cysignals-doc (= ${source:Version})
+Description: interrupt and signal handling for Cython -- Python 3 - PARI/GP
+ Since Cython optimizes for speed, Cython normally does not check
+ for interrupts. The cysignals package provides mechanisms to handle
+ interrupts (and other signals and errors) in Cython code.
+ .
+ This package installs the library for Python 3; this very library
+ was built against the PARI/GP library.
+
 Package: python-cysignals-bare
 Provides: python-cysignals
 Conflicts: python-cysignals-pari
@@ -62,10 +83,26 @@
  This package installs the library for Python 2; this very library
  was not built against the PARI/GP library.
 
+Package: python3-cysignals-bare
+Provides: python3-cysignals
+Conflicts: python3-cysignals-pari
+Architecture: any
+Multi-Arch: same
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cysignals-tools
+Suggests: python-cysignals-doc (= ${source:Version})
+Description: interrupt and signal handling for Cython -- Python 3 - bare
+ Since Cython optimizes for speed, Cython normally does not check
+ for interrupts. The cysignals package provides mechanisms to handle
+ interrupts (and other signals and errors) in Cython code.
+ .
+ This package installs the library for Python 3; this very library
+ was not built against the PARI/GP library.
+
 Package: cysignals-tools
 Section: devel
 Architecture: all
-Depends: gdb, ${python:Depends}, ${misc:Depends}
+Depends: gdb, ${python3:Depends}, ${misc:Depends}
 Suggests: python-cysignals-doc (= ${source:Version})
 Description: interrupt and signal handling for Cython -- tools
  Since Cython optimizes for speed, Cython normally does not check

=== debian/tests/control ===
Test-Command: debian/tests/check doctest bare python2
Depends: python-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari python2
Depends: python-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare python2
Depends: python-cysignals-bare, python-cysignals-doc, cython, libpython-dev, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check example pari python2
Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check doctest bare python3
Depends: python3-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari python3
Depends: python3-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare python3
Depends: python3-cysignals-bare, python-cysignals-doc, cython3, libpython3-dev, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check example pari python3
Depends: python3-cysignals-pari, python-cysignals-doc, cython3, libpython3-dev, build-essential
Restrictions: allow-stderr

## cysignals 1.6.7+ds

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 dist: configure
 	chmod go+rX-w -R .
-	umask 0022 && $(PYTHON) setup.py sdist --formats=bztar
+	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar
 
 doc:
 	cd docs && $(MAKE) html
@@ -112,7 +112,7 @@
 distcheck: dist
 	rm -rf dist/check
 	mkdir -p dist/check
-	cd dist/check && tar xjf ../cysignals-$(VERSION).tar.bz2
+	cd dist/check && tar xzf ../cysignals-$(VERSION).tar.gz
 	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist0.ls
 	cd dist/check/cysignals-$(VERSION) && $(MAKE) all
 	cd dist/check/cysignals-$(VERSION) && $(MAKE) distclean
@@ -125,7 +125,7 @@
 	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist2.ls
 	cd dist/check; diff -u dist0.ls dist2.ls || { echo >&2 "Error: distclean after check-tmp leaves garbage"; exit 1; }
 	cd dist/check/cysignals-$(VERSION) && $(MAKE) dist
-	cd dist/check/cysignals-$(VERSION) && tar xjf dist/cysignals-$(VERSION).tar.bz2
+	cd dist/check/cysignals-$(VERSION) && tar xzf dist/cysignals-$(VERSION).tar.gz
 	cd dist/check/cysignals-$(VERSION)/cysignals-$(VERSION) && $(LS_R) >../../dist3.ls
 	cd dist/check; diff -u dist0.ls dist3.ls || { echo >&2 "Error: sdist is not reproducible"; exit 1; }
 	rm -rf dist/check

=== debian/changelog ===
cysignals (1.6.7+ds-3) unstable; urgency=medium

  * RC bug fix release (Closes: #905292):
    - debian/control:
      - Build-Depends field, add python3-distutils;
      - cysignals-tools Package, Depends field, add python3-distutils.
  * Debianization:
    - debian/control:
      - Standards-Version, bump to 4.2.0 (no change);
    - debian/patches/*:
      d/p/upstream-autotoolization_pytoolization-harden-build_directory.patch ,
        clean up.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 10 Aug 2018 18:54:19 +0000

cysignals (1.6.7+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/control: Bump X-Python3-Version field to 3.6
  * d/control: Bump Standards-Version to 4.1.4 (remove get-orig-source target)
  * d/control: Build-Depends field: libpythonX-dev to libpythonX-all-dev
  * d/t/control: Depends field {7,8}: Add python3-distutils (Closes: #897386)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 03 Jul 2018 17:10:47 +0000

cysignals (1.6.7+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - debian/tests/*, harden;
    - debian/source/lintian-overrides, refresh;
    - debian/patches/u-a_p-harden-build_directory.patch, typo fix.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 11:48:16 +0000

cysignals (1.6.6+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 10:43:46 +0000

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with autoreconf --with python2  --with sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3 --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure-arch:
 	$(call adhoc_dh_auto_configure_do,bare)
@@ -79,11 +79,6 @@
 override_dh_auto_clean:
 	$(MAKE) distclean
 
-get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
-
-.PHONY: build
-
 ##################################################################################
 ## ad hoc machinery

=== debian/tests/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Depends: python3-cysignals-pari, cysignals-tools, python-cysignals-doc
 
 Test-Command: debian/tests/check example bare python3
-Depends: python3-cysignals-bare, python-cysignals-doc, cython3, libpython3-dev, build-essential
+Depends: python3-cysignals-bare, python-cysignals-doc, cython3, libpython3-dev, python3-distutils, build-essential
 Restrictions: allow-stderr
 
 Test-Command: debian/tests/check example pari python3
-Depends: python3-cysignals-pari, python-cysignals-doc, cython3, libpython3-dev, build-essential
+Depends: python3-cysignals-pari, python-cysignals-doc, cython3, libpython3-dev, python3-distutils, build-essential
 Restrictions: allow-stderr

## cysignals 1.7.2+ds

=== debian/changelog ===
cysignals (1.7.2+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Jerome Benoit ]
  * Apply upstream patch `Fix-tests-on-Python-3.7' (Closes: #915220)
  * Upload to unstable

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Dec 2018 07:41:26 +0000

cysignals (1.7.2+ds-1) experimental; urgency=medium

  * New minor upstream version.
  * Debianization:
    - debian/control:
      - cython dependencies, bump to version 0.28;
      - Standards-Version, bump to 4.2.1 (no change);
        - Multi-Arch fields, discard;
    - debian/patches/* , refresh;
    - debian/rules:
      - DEB_BUILD_MAINT_OPTIONS, set to hardening=+all;
    - debian/tests:
      - d/t/control:
        - Depends fields, replace pythonX-distutils with pythonX-setuptools;
        - Depends fields {4,8}, add libpari-dev;
    - debian/cysignals-tools.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 02 Nov 2018 06:37:11 +0000

cysignals (1.6.7+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Aug 2018 05:38:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
  dh-python,
  python-setuptools,
  python-all,
- libpython-dev,
- cython (>= 0.26),
+ libpython-all-dev,
+ cython (>= 0.28),
  python3-setuptools,
  python3-all,
+ python3-distutils,
  python3-sphinx,
- libpython3-dev,
- cython3 (>= 0.26),
+ libpython3-all-dev,
+ cython3 (>= 0.28),
  libpari-dev (>= 2.9),
  gdb
 Build-Depends-Indep:
@@ -26,19 +27,17 @@
  texlive-fonts-recommended,
  texlive-generic-extra,
  texlive-latex-extra
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
+Standards-Version: 4.2.1
+X-Python3-Version: >= 3.6
 Homepage: https://github.com/sagemath/cysignals
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/cysignals.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/cysignals
 
 Package: python-cysignals-pari
 Provides: python-cysignals
 Conflicts: python-cysignals-bare
 Breaks: sagemath (<< 8.0~)
 Architecture: any
-Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: cysignals-tools
 Suggests: python-cysignals-doc (= ${source:Version})
@@ -55,7 +54,6 @@
 Conflicts: python3-cysignals-bare
 Breaks: sagemath (<< 8.0~)
 Architecture: any
-Multi-Arch: same
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: cysignals-tools
 Suggests: python-cysignals-doc (= ${source:Version})
@@ -71,7 +69,6 @@
 Provides: python-cysignals
 Conflicts: python-cysignals-pari
 Architecture: any
-Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: cysignals-tools
 Suggests: python-cysignals-doc (= ${source:Version})
@@ -87,7 +84,6 @@
 Provides: python3-cysignals
 Conflicts: python3-cysignals-pari
 Architecture: any
-Multi-Arch: same
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: cysignals-tools
 Suggests: python-cysignals-doc (= ${source:Version})
@@ -102,7 +98,7 @@
 Package: cysignals-tools
 Section: devel
 Architecture: all
-Depends: gdb, ${python3:Depends}, ${misc:Depends}
+Depends: gdb, ${python3:Depends}, python3-distutils, ${misc:Depends}
 Suggests: python-cysignals-doc (= ${source:Version})
 Description: interrupt and signal handling for Cython -- tools
  Since Cython optimizes for speed, Cython normally does not check

## cysignals 1.8.1+ds

=== debian/changelog ===
cysignals (1.8.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Jan 2019 10:20:34 +0000

cysignals (1.8.1+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/{copyright,/adhoc/examples/example/Makefile}:
      - Copyright year tuple, update;
    - debian/control:
      - debhelper, bump to 12;
      - Standards-Version, bump to 4.3.0 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-tests-python37.patch, no more needed;
      - d/p/upstream-autotoolization-harden-pari_gp.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 10 Jan 2019 18:23:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jerome Benoit <calculus@rezozer.net>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  help2man,
  dh-python,
  python-setuptools,
@@ -27,7 +27,7 @@
  texlive-fonts-recommended,
  texlive-generic-extra,
  texlive-latex-extra
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 X-Python3-Version: >= 3.6
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export ACLOCAL_PATH=m4
 
@@ -69,7 +69,7 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C docs latexpdf PAPER=a4 LATEXOPTS='-interaction batchmode'
 	cp -p $(CURDIR)/docs/build/latex/cysignals.pdf $(DEB_SPHINXDOC_DOCDIR)
-	PYTHONPATH=$(CURDIR) sphinx-build -b html $(CURDIR)/docs/source $(DEB_SPHINXDOC_DOCDIR)/html
+	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(CURDIR)/docs/source $(DEB_SPHINXDOC_DOCDIR)/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
@@ -98,6 +98,7 @@
 				echo PYBUILD_interpreter={interpreter} > $(CURDIR)/build/dh-test-auto_build-$(1).sh && \
 				echo PYBUILD_build_dir={build_dir}/../build-$(1) >> $(CURDIR)/build/dh-test-auto_build-$(1).sh \
 				" $(NEWLINE) \
+		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
 		touch $(CURDIR)/build/dh-stamp-auto_build-$(1) $(NEWLINE) \
 		)
 
@@ -111,6 +112,7 @@
 			--after-test  "rm -v {build_dir}" ) $(NEWLINE) \
 		$(CURDIR)/debian/adhoc/tests/check-doctest $(1) $(NEWLINE) \
 		$(CURDIR)/debian/adhoc/tests/check-example $(1) $(NEWLINE) \
+		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
 		touch $(CURDIR)/build/dh-stamp-auto_test-$(1) $(NEWLINE) \
 		)
 
@@ -121,8 +123,14 @@
 		dh_auto_install -- \
 			--before-install "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
 			--after-install  "rm -v {build_dir}" $(NEWLINE) \
+		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
 		touch $(CURDIR)/build/dh-stamp-auto_install-$(1) $(NEWLINE) \
 		)
+
+## parameter: none
+adhoc_dh_auto_whatever_do_postamble = \
+	rm -vf $(patsubst %.in,%,$(wildcard $(CURDIR)/src/cysignals/*.in))
+
 
 PYSETUP_CONFIGURE_FLAGS_bare = '--without-pari'
 PYSETUP_CONFIGURE_FLAGS_pari = '--with-pari'

=== debian/tests/control ===
Test-Command: debian/tests/check doctest bare python2
Depends: python-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari python2
Depends: python-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare python2
Depends: python-cysignals-bare, python-cysignals-doc, cython, libpython-dev, python-setuptools, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check example pari python2
Depends: python-cysignals-pari, python-cysignals-doc, cython, libpython-dev, libpari-dev, python-setuptools, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check doctest bare python3
Depends: python3-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari python3
Depends: python3-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare python3
Depends: python3-cysignals-bare, python-cysignals-doc, cython3, libpython3-dev, python3-setuptools, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check example pari python3
Depends: python3-cysignals-pari, python-cysignals-doc, cython3, libpython3-dev, libpari-dev, python3-setuptools, build-essential
Restrictions: allow-stderr
